#
# spec file for package ceph-medic
#
%global commit 60cf7e9f3114ad32c7892193778f014613f4193a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           ceph-medic
Version:        1.0.4
Release:        16.g60cf7e9%{?dist}
Summary:        Find common issues on Ceph clusters
License:        MIT
URL:            https://github.com/ceph/ceph-medic
Source0:        %{name}-%{version}-%{shortcommit}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
BuildRequires:  python-remoto
BuildRequires:  python-mock
BuildRequires:  python-tambo
Requires:       python-remoto
Requires:       python-tambo
Requires:       python-execnet

BuildArch:      noarch


%description
An admin tool to determine common issues on Ceph storage clusters.

%prep
%autosetup -p1

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%check
export PYTHONPATH=$(pwd)

py.test-%{python_version} -v ceph_medic/tests

%files
%license LICENSE
%doc README.rst
%{_bindir}/ceph-medic
%{python_sitelib}/*

%changelog
